# Function UseRemoteMethod

- UseRemoteMethod(
  remoteMethod: Constructor<
  BaseRemoteMethod<any, any, BaseRemoteMethodMetadata>,
  >,
  name: string,
  ): (target: any, propertyKey: string) => void

  #### Parameters

  - remoteMethod: Constructor<BaseRemoteMethod<any, any, BaseRemoteMethodMetadata>>
  - name: string

  #### Returns (target: any, propertyKey: string) => void

  - Defined in packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts:45